TAGGREPPER(1)

NAME
taggrepper - search and match tags of media file for regular expressions

SYNOPSIS
taggrepper [--tag-label regexp]... [--display-taglabel]... [FILE/DIRECTORY]...

DESCRIPTION
Perform a regular expression search on the tags of specified media files.

Mandatory arguments to long options are mandatory for short options too. All regular expressions are Perl Compatible Regular expressions supported by the PCRE libraries. Note that all matches are ANDed, meaning that for a successful match, matches against all tags must occur.

Support exists for MP3 files, and, if compiled in, for Ogg Vorbis and FLAC files as well.

-t, --title=REGEXP
    Match the title tag against REGEXP

-a, --artist=REGEXP
    Match the artist tag against REGEXP

-l, --album=REGEXP
    Match the album, tag against REGEXP

-y, --year=REGEXP
    Match the year tag against REGEXP

-g, --genre=REGEXP
    Match the genre tag against REGEXP

-c, --comment=REGEXP
    Match the comment tag against REGEXP

--track=REGEXP
    Match the track tag against REGEXP

-c, --composer=REGEXP
    Match the composer tag against REGEXP

-o, --orig-artist=REGEXP
    Match the original artist tag against REGEXP

-c, --copyright=REGEXP
    Match the copyright tag against REGEXP

-u, --url=REGEXP
    Match the URL tag against REGEXP

-e, --encoded-by=REGEXP
    Match the encoded-by tag against REGEXP

--any-tag=REGEXP
    Match the encoded-by tag against REGEXP. Using this option makes every one of the above options to be ignored

--display-title
    display title tag of matching files

--display-artist
    display artist tag of matching files

--display-album
    display album tag of matching files

--display-year
    display year tag of matching files

--display-genre
    display genre tag of matching files

--display-comment
    display comment tag of matching files

--display-track
    display track tag of matching files

--display-composer
    display composer tag of matching files

--display-orig-artist
    display orig-artist tag of matching files

--display-copyright
    display copyright tag of matching files

--display-url
    display url tag of matching files

--display-encoded-by
    display encoded-by tag of matching files

-0, --print0,
    Use null character as delimiter. This option can be used with -0 option of xargs.

-r, --recursive
    Search directories recursively

-v, --version
    Display version and exit

-h, --help
    Display this help message

All regular expressions are PCRE regular expressions. Refer to the PCRE documentation for details. Report comments and bugs to a.kumar@alumni.iitm.ac.in

COPYING
Copyright © Kumar Appaiah

License: BSD License (see COPYING file in the distribution tarball for details)

This program is free software; you can distribute it under the terms of the BSD License. See the file COPYING in the tarball, or /usr/share/common-licenses/BSD on Debian-based systems.

SEE ALSO
pcre(3)